Net::LDAP::Control::NoOp(3)

NAME
Net::LDAP::Control::NoOp - LDAPv3 Tree Delete control object

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::NoOp;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $noop = Net::LDAP::Control::NoOp->new();

 $msg = $ldap->modify( 'cn=Barbara Jensen, o=University of Michigan, c=US',
                       control  => [ $noop ] );

 die "error: ",$msg->code(),": ",$msg->error()  if ($msg->code());

DESCRIPTION
"Net::LDAP::Control::NoOp" provides an interface for the creation and manipulation of objects that represent the "No-Op" control as described by draft-zeilenga-ldap-noop-01.txt <https://tools.ietf.org/html/draft-zeilenga-ldap-noop-01>.

The control, which has no corresponding response control, is appropriate for all LDAP update requests, including add, delete, modify, and moddn.

Its criticality is always "TRUE"; it has no value.

The presence of the "No-Op" control in an operation request message disables the normal effect of the operation; i.e. the server will do all processing necessary to perform the operation but not actually update the directory.

CONSTRUCTOR ARGUMENTS
Since the "NoOp" control does not have any values, only the constructor arguments described in Net::LDAP::Control are supported

METHODS
As there are no additional values in the control, only the methods in Net::LDAP::Control are available for "Net::LDAP::Control::NoOp" objects.

SEE ALSO
Net::LDAP, Net::LDAP::Control,

AUTHOR
Peter Marschall <peter@adpm.de>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2021 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.